//[navigation-core](../../index.md)/[com.chrynan.navigation](index.md)

# Package com.chrynan.navigation

## Types

| Name | Summary |
|---|---|
| [AndroidNavigationHandler](-android-navigation-handler/index.md) | [android]<br>interface [AndroidNavigationHandler](-android-navigation-handler/index.md)&lt;[Intent](-android-navigation-handler/index.md) : [NavigationIntent](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-intent/index.md)&gt; : [NavigationEventHandler](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-event-handler/index.md)&lt;[Intent](-android-navigation-handler/index.md), [AndroidNavigationScope](-android-navigation-scope/index.md)&gt; <br>A [NavigationHandler](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-handler/index.md) used on the Android platform that uses an [AndroidNavigationScope](-android-navigation-scope/index.md). |
| [AndroidNavigationScope](-android-navigation-scope/index.md) | [android]<br>interface [AndroidNavigationScope](-android-navigation-scope/index.md) : [NavigationScope](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-scope/index.md)<br>A [NavigationScope](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-scope/index.md) used on the Android platform that has access to a parent [Activity](https://developer.android.com/reference/kotlin/android/app/Activity.html) that can be used to change Activities or Fragments. |
| [ExperimentalNavigationApi](-experimental-navigation-api/index.md) | [common]<br>@[Target](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-target/index.html)(allowedTargets = [[AnnotationTarget.CLASS](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-annotation-target/-c-l-a-s-s/index.html), [AnnotationTarget.FUNCTION](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-annotation-target/-f-u-n-c-t-i-o-n/index.html), [AnnotationTarget.FIELD](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-annotation-target/-f-i-e-l-d/index.html), [AnnotationTarget.PROPERTY](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.annotation/-annotation-target/-p-r-o-p-e-r-t-y/index.html)])<br>annotation class [ExperimentalNavigationApi](-experimental-navigation-api/index.md)<br>Indicates that the component annotated with this annotation is experimental and could change or be removed in the future. |
| [NavigationContext](-navigation-context/index.md) | [common]<br>interface [NavigationContext](-navigation-context/index.md)&lt;[Key](-navigation-context/index.md)&gt;<br>Represents a navigation context, or a container of a back stack of [Key](-navigation-context/index.md)s. Navigation can take place within a [NavigationContext](-navigation-context/index.md) typically by changing [Key](-navigation-context/index.md) values. But an application may have multiple [NavigationContext](-navigation-context/index.md)s that can be changed and navigated through. This allows for more complex navigation paradigms, such as retaining multiple back stacks for a bottom navigation UI component. |
| [NavigationEvent](-navigation-event/index.md) | [common]<br>sealed class [NavigationEvent](-navigation-event/index.md)&lt;[NavigationValue](-navigation-event/index.md)&gt;<br>An event that is sent to a [Navigator](-navigator/index.md) to coordinate the navigation between screens. |
| [NavigationEventHandler](-navigation-event-handler/index.md) | [common]<br>interface [NavigationEventHandler](-navigation-event-handler/index.md)&lt;[NavigationValue](-navigation-event-handler/index.md), [Scope](-navigation-event-handler/index.md) : [NavigationScope](-navigation-scope/index.md)&gt; : [NavigationHandler](-navigation-handler/index.md)&lt;[NavigationEvent](-navigation-event/index.md)&lt;[NavigationValue](-navigation-event-handler/index.md)&gt;, [Scope](-navigation-event-handler/index.md)&gt; , [StackNavigationHandler](-stack-navigation-handler/index.md)&lt;[NavigationEvent](-navigation-event/index.md)&lt;[NavigationValue](-navigation-event-handler/index.md)&gt;, [Scope](-navigation-event-handler/index.md)&gt; <br>A [NavigationHandler](-navigation-handler/index.md) that provides distinct functions for each of the possible [NavigationEvent](-navigation-event/index.md)s. |
| [NavigationEventNavigator](-navigation-event-navigator/index.md) | [common]<br>interface [NavigationEventNavigator](-navigation-event-navigator/index.md)&lt;[NavigationValue](-navigation-event-navigator/index.md)&gt; : [Navigator](-navigator/index.md), [StackNavigator](-stack-navigator/index.md)<br>A [Navigator](-navigator/index.md) that navigates using [NavigationEvent](-navigation-event/index.md)s. This is typically the base [Navigator](-navigator/index.md) but not every UI framework can use it, such as Jetpack Compose, so it is separate from the [Navigator](-navigator/index.md) interface. |
| [NavigationHandler](-navigation-handler/index.md) | [common]<br>fun interface [NavigationHandler](-navigation-handler/index.md)&lt;[NavigationValue](-navigation-handler/index.md) : [Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html), [Scope](-navigation-handler/index.md) : [NavigationScope](-navigation-scope/index.md)&gt;<br>Handles the navigation from a [Navigator](-navigator/index.md). |
| [NavigationIntent](-navigation-intent/index.md) | [common]<br>interface [NavigationIntent](-navigation-intent/index.md)<br>Represents an intent to move to a different screen in the application. This is similar to an Intent from the MVI design pattern, but for navigation purposes. |
| [NavigationScope](-navigation-scope/index.md) | [common]<br>interface [NavigationScope](-navigation-scope/index.md)<br>Provides the ability for extra platform specific parameters to be provided to a [Navigator](-navigator/index.md). |
| [Navigator](-navigator/index.md) | [common]<br>interface [Navigator](-navigator/index.md)<br>A [Navigator](-navigator/index.md) is responsible for changing and showing the different Screens in the application. |
| [StackDuplicateContentStrategy](-stack-duplicate-content-strategy/index.md) | [common]<br>enum [StackDuplicateContentStrategy](-stack-duplicate-content-strategy/index.md) : [Enum](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html)&lt;[StackDuplicateContentStrategy](-stack-duplicate-content-strategy/index.md)&gt; |
| [StackNavigationHandler](-stack-navigation-handler/index.md) | [common]<br>interface [StackNavigationHandler](-stack-navigation-handler/index.md)&lt;[NavigationValue](-stack-navigation-handler/index.md) : [Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html), [Scope](-stack-navigation-handler/index.md) : [NavigationScope](-navigation-scope/index.md)&gt; : [NavigationHandler](-navigation-handler/index.md)&lt;[NavigationValue](-stack-navigation-handler/index.md), [Scope](-stack-navigation-handler/index.md)&gt; <br>An extension on the [NavigationHandler](-navigation-handler/index.md) that provides functions to determine back navigation capability. |
| [StackNavigator](-stack-navigator/index.md) | [common]<br>interface [StackNavigator](-stack-navigator/index.md) : [Navigator](-navigator/index.md)<br>A [Navigator](-navigator/index.md) that retains a stack of navigation items and can handle back navigation. |

## Functions

| Name | Summary |
|---|---|
| [goTo](go-to.md) | [common]<br>fun &lt;[NavigationValue](go-to.md)&gt; [NavigationEventNavigator](-navigation-event-navigator/index.md)&lt;[NavigationValue](go-to.md)&gt;.[goTo](go-to.md)(intent: [NavigationValue](go-to.md))<br>A convenience function for calling [NavigationEventNavigator.navigate](-navigation-event-navigator/navigate.md) with [NavigationEvent.To](-navigation-event/-to/index.md). |
| [goUp](go-up.md) | [common]<br>fun &lt;[NavigationValue](go-up.md)&gt; [NavigationEventNavigator](-navigation-event-navigator/index.md)&lt;[NavigationValue](go-up.md)&gt;.[goUp](go-up.md)()<br>A convenience function for calling [NavigationEventNavigator.navigate](-navigation-event-navigator/navigate.md) with [NavigationEvent.Up](-navigation-event/-up/index.md). |
| [navigator](navigator.md) | [android]<br>fun &lt;[Intent](navigator.md) : [NavigationIntent](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-intent/index.md)&gt; [navigator](navigator.md)(activity: [Activity](https://developer.android.com/reference/kotlin/android/app/Activity.html), handler: [AndroidNavigationHandler](-android-navigation-handler/index.md)&lt;[Intent](navigator.md)&gt;): [NavigationEventNavigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-event-navigator/index.md)&lt;[Intent](navigator.md)&gt;<br>Creates a [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md) using the provided [Activity](https://developer.android.com/reference/kotlin/android/app/Activity.html) in the [AndroidNavigationScope](-android-navigation-scope/index.md) and the provided [handler](navigator.md).<br>[android]<br>fun &lt;[Intent](navigator.md) : [NavigationIntent](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-intent/index.md)&gt; [navigator](navigator.md)(activity: [Activity](https://developer.android.com/reference/kotlin/android/app/Activity.html), canGoBack: () -&gt; [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) = { false }, onGoBack: () -&gt; [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) = { activity.onBackPressed() }, onGoUp: () -&gt; [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) = { activity.onBackPressed() }, onGoTo: ([Intent](navigator.md)) -&gt; [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)): [NavigationEventNavigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigation-event-navigator/index.md)&lt;[Intent](navigator.md)&gt;<br>Creates a [Navigator](../../../navigation-core/navigation-core/com.chrynan.navigation/-navigator/index.md) using the provided [Activity](https://developer.android.com/reference/kotlin/android/app/Activity.html) in the [AndroidNavigationScope](-android-navigation-scope/index.md) and the provided [onGoBack](navigator.md), [onGoUp](navigator.md), and [onGoTo](navigator.md) functions to construct an [AndroidNavigationHandler](-android-navigation-handler/index.md). |
